#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: katomic
Summary:  Build complex atoms with a minimal amount of moves
Version: 17.12.2
Release: %mkrel %{rel}
Epoch: 1
Group: Games/Puzzles
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/games/katomic/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel >= 1:%version
BuildRequires: pkgconfig(Qt5Widgets)

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kwidgetsaddons-devel 
BuildRequires: ki18n-devel
BuildRequires: kguiaddons-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kitemviews-devel
BuildRequires: kiconthemes-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel
BuildRequires: knotifyconfig-devel
BuildRequires: knewstuff-devel

Recommends: katomic-handbook

# conflicts with mga6 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description 
KAtomic is a fun educational game built around molecular geometry.
It employs simplistic two-dimensional looks at different chemical elements

%files -f %name.lang
%_kf5_bindir/katomic
%_kf5_iconsdir/hicolor/*/apps/katomic.png
%_kf5_datadir/katomic
%_sysconfdir/xdg/katomic.knsrc
%_kf5_datadir/appdata/*.xml
%_kf5_datadir/applications/org.kde.katomic.desktop
%_kf5_datadir/kconf_update/katomic-levelset-upd.pl
%_kf5_datadir/kconf_update/katomic-levelset.upd
%_kf5_datadir/kxmlgui5/katomic/katomicui.rc

#------------------------------------------------------------------------------

%package -n katomic-handbook
Summary: Katomic handbook
Conflicts: katomic < 1:4.7.1-2
Requires:  katomic >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

# conflicts with mga6 packages
Conflicts:      kde-l10n-handbooks-ar < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bg < 17.04.3-1
Conflicts:      kde-l10n-handbooks-bs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-cs < 17.04.3-1
Conflicts:      kde-l10n-handbooks-da < 17.04.3-1
Conflicts:      kde-l10n-handbooks-de < 17.04.3-1
Conflicts:      kde-l10n-handbooks-el < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_GB < 17.04.3-1
Conflicts:      kde-l10n-handbooks-en_US < 17.04.3-1
Conflicts:      kde-l10n-handbooks-es < 17.04.3-1
Conflicts:      kde-l10n-handbooks-et < 17.04.3-1
Conflicts:      kde-l10n-handbooks-eu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-fr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ga < 17.04.3-1
Conflicts:      kde-l10n-handbooks-gl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-he < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hi < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-hu < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ia < 17.04.3-1
Conflicts:      kde-l10n-handbooks-id < 17.04.3-1
Conflicts:      kde-l10n-handbooks-is < 17.04.3-1
Conflicts:      kde-l10n-handbooks-it < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ja < 17.04.3-1
Conflicts:      kde-l10n-handbooks-kk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-km < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ko < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-lv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-mr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nb < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nds < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-nn < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt < 17.04.3-1
Conflicts:      kde-l10n-handbooks-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ro < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ru < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sl < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-sv < 17.04.3-1
Conflicts:      kde-l10n-handbooks-tr < 17.04.3-1
Conflicts:      kde-l10n-handbooks-ug < 17.04.3-1
Conflicts:      kde-l10n-handbooks-uk < 17.04.3-1
Conflicts:      kde-l10n-handbooks-wa < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-handbooks-zh_TW < 17.04.3-1

%description -n katomic-handbook
This package provides the katomic handbook.

%files -n katomic-handbook
%_kf5_docdir/HTML/*/katomic

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202229
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090026
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076761
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1071974
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067292
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061351
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050618
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047250
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040013
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012503
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004293
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 997893
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991143
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987411
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922581
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911915
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 905373
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901109
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 1:15.08.2-1.mga6
+ Revision: 890584
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880402
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 865920
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 1:15.07.90-2.mga6
+ Revision: 863707
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 1:15.07.90-1.mga6
+ Revision: 861733
- New version 15.07.90

* Thu Jul 30 2015 neoclust <neoclust> 1:15.07.80-1.mga6
+ Revision: 859225
- New version 15.07.80

* Thu Jul 23 2015 neoclust <neoclust> 1:15.04.3-1.mga6
+ Revision: 856393
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800557
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787643
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 742248
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734505
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 680935
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667443
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 662954
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656632
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653818
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651923
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636692
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625459
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615532
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609352
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606793
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Thu Mar 13 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603292
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600640
- New version 4.12.80
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590425
- New version 4.12.2
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 554952
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551210
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540108
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490745
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476835
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465183
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458866
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455256
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447948
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435307
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428419
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407230
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401849
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394401
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 355824
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339482
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334562
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326764
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319291
- imported package katomic

